Sequel.migration do
  change do
    create_table :users do
      column :id,                 :uuid, primary_key: true
      column :mailboxes_next_uid, Integer, null: false, default: 1
      column :name,               String, null: false
      column :password,           String, null: false
      column :updated_at,         DateTime
      column :created_at,         DateTime

      index :name, unique: true
      index [:id, :mailboxes_next_uid], unique: true
    end
  end
end
