require "uuid"

class Mailbox < Sequel::Model($db)
  many_to_one :user
  one_to_many :mails

  def before_create
    self.created_at ||= Time.now
    self.id = UUID.generate
    super
  end

  def before_save
    self.updated_at ||= Time.now
    super
  end

  require_relative "mailbox/helpers"
  include Helpers
end
