require "net/imap"
require "pry"

begin
  pp @imap = Net::IMAP.new("127.0.0.1", "1993") # , verify: OpenSSL::SSL::VERIFY_NONE)
  pp @imap.authenticate('PLAIN', "arthur", "abcde")
  pp @imap.select "INBOX"

  puts "find not seen"
  pp @imap.search(%w[NOT SEEN])
  puts "find 1:8"
  pp @imap.search(["UID", "1:8"])
  puts "find 1,2,9"
  pp @imap.search(["UID", "1,2,9"])
  puts "find 1"
  pp @imap.search(%w[UID 1])
  # puts "find 1 OR 4"
  # pp @imap.search(["UID", "1", "OR", "UID", "4"])
  # pp @imap.search(["UID", "1", "OR", "UID", "2"])
  puts "find from name"
  pp @imap.search(%w[From MyName])
  puts "find body superrecherche"
  pp @imap.search(%w[BODY superrecherche])
  puts "find body Blablabla"
  pp @imap.search(%w[BODY Blablabla])
  puts "find text Blablabla"
  pp @imap.search(%w[TEXT Blablabla])
  puts "fetch 90"
  pp @imap.fetch(90, ["RFC822"])
rescue StandardError => e
  # binding.pry
  raise e
end
