class ImapServer
  class ClientHandler

    module Capability
      CAPABILITIES = %w[IMAP4rev1 AUTH=PLAIN LOGIN].freeze

      def handle_capability(msg:, user:)
        msg.respond ServerMessage.new("CAPABILITY #{capabilities.join(' ')}")
        msg.respond ServerMessage.new("OK CAPABILITY completed")
      end

    end
  end
end
