require "uuid"

class Mail < Sequel::Model($db)
  many_to_one :user
  many_to_one :mailbox

  def before_create
    self.created_at ||= Time.now
    self.id = UUID.generate
    # self.user_id ||= self.maildir.user_id # we can get the user_id via maildir for short
    super
  end

  def before_save
    self.updated_at ||= Time.now
    super
  end
end
